function [ z ] = runcmpg( mat0,mat1 )
%runcmpg correlate mat 0 (usually lab) with mat 1 (usually concept) on GPU
%
% Discovering and Applying Knowledge in Clinical Databases
%  gh13@columbia.edu, DBMI, Columbia U, 2013
%
% mat0, mat1<-matrix of fakemrn,time,type,value
%    where type is ignored
%     variable mat0 gets normalized
% z<-131 of corrcoef_corrected and stddev
%    plots the result
%

mat0(:,3) = 0;  % first mat is zero and will be normalized
mat1(:,3) = 1;  % second mat is one
mat = [mat0;mat1];
mat = trimfcorr(mat); % drop duplicate and uninformative rows
n = size(mat,1); % # rows
if 2500000<n % can handle about 2.5M rows, so drop mrns as needed
    mrn = unique(mat(:,1)); % unique fakemrns
    k = ceil(size(mrn,1)*2500000/n); % target # of mrns
    i = randsample(mrn,k); % sample mrns
    mat = mat(ismember(mat(:,1),i),:); % filter mat
end
z = bootfcorr2g(mat);  % run correlation
plot(-60:70,z);  % plot
end
